id: 69938
name: HiEvents
environments:
  production:
    gateway-version: 2.0
    domain: api.hi.events
    memory: 2048
    cli-memory: 512
    storage: hievents-assets-prod
    runtime: docker
    warm: 3
    cache: hievents-redis
    database: hievents-postgres
    queues:
      - hievents-queue-prod
      - hievents-webhook-queue-prod
    queue-memory: 1024
    queue-concurrency: 5
    concurrency: 100
    build:
      - 'composer install --no-dev'
      - 'php artisan optimize'
    deploy:
      - 'php artisan migrate --force'
  staging:
    gateway-version: 2.0
    domain: staging-api.hi.events
    memory: 1024
    cli-memory: 512
    runtime: docker
    warm: 3
    cache: hievents-redis
    database: hievents-postgres
    queue:
      - hievents-queue-staging
      - hievents-webhook-queue-staging
    queue-memory: 1024
    queue-concurrency: 2
    concurrency: 100
    build:
      - 'composer install --no-dev'
      - 'php artisan optimize'
    deploy:
      - 'php artisan migrate --force'
